Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 112676 - %packages functionality enhancement request
Summary: %packages functionality enhancement request
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2003-12-27 18:41 UTC by Roy Barnard
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-29 17:54:10 UTC


Attachments (Terms of Use)

Description Roy Barnard 2003-12-27 18:41:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Can the %PRE section of a kickstart file define the %PACKAGES section.

The only way I cando this is to replace the /tmp/ks.cfg on the RAM 
drive during the installation

The %include does not work within the %PACKAGES section.

Can %PACKAGES have a --fromfile= option, as this would allow the %PRE 
script to copy/create the required filename.


Version-Release number of selected component (if applicable):
ALL

How reproducible:
Always

Steps to Reproduce:
1.Try putting packages outside of the %PACKAGES section
2.Try using %include within the PACKAGES section
3.
    

Actual Results:  Kickstart / Anaconda halts with package errors.


Expected Results:  Wish to be able to change the package selection 
from with the %PRE section

Additional info:

I think this should be a Request for Enhancement but can't seem to 
find the place to do this.

Sorry if I upset anyone.

Comment 1 Chris Lumens 2005-11-29 17:54:10 UTC
Anaconda in Rawhide allows you to use %include in the %packages section, and you
can generate this included file from the %pre.

Comment 2 Roy Barnard 2005-12-07 19:36:20 UTC
(In reply to comment #1)
> Anaconda in Rawhide allows you to use %include in the %packages section, and you
> can generate this included file from the %pre.

Does this mean it will be available in FC5 or FC4?
Many thanks.
Roy Barnard

Comment 3 Chris Lumens 2005-12-07 19:55:03 UTC
FC5


Note You need to log in before you can comment on or make changes to this bug.